Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | List of all members
Mercury.Exceptions.MercuryException Class Reference

An exception thrown by the Mercury library. More...

Inheritance diagram for Mercury.Exceptions.MercuryException:

## Public Member Functions
| MercuryException ()
| Initializes a new instance of the MercuryException class. More...
| MercuryException (string message)
| Initializes a new instance of the MercuryException class with a specified error message. More...
| MercuryException (string message, Exception inner)
| Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem. More...

## Protected Member Functions
| MercuryException (SerializationInfo info, StreamingContext context)
| Initializes a new instance of the MercuryException class with serialized data. More...

## Detailed Description

An exception thrown by the Mercury library.

Definition at line 10 of file MercuryException.cs.

## Constructor & Destructor Documentation

Mercury.Exceptions.MercuryException.MercuryException | ( |  | ) |

Initializes a new instance of the MercuryException class.

Definition at line 13 of file MercuryException.cs.

Mercury.Exceptions.MercuryException.MercuryException | ( | string | message | ) |

Initializes a new instance of the MercuryException class with a specified error message.

Parameters

  message | The message that describes the error.

Definition at line 22 of file MercuryException.cs.

Mercury.Exceptions.MercuryException.MercuryException | ( | string | message,
|  | Exception | inner
| ) |  |

Initializes a new instance of the MercuryException class with a specified error message and an exception that caused the problem.

Parameters

  message | The message that describes the error.
  inner | The exception that caused the problem.

Definition at line 32 of file MercuryException.cs.

Mercury.Exceptions.MercuryException.MercuryException | ( | SerializationInfo | info,
|  | StreamingContext | context
| ) |  |
| protected

Initializes a new instance of the MercuryException class with serialized data.

Parameters

  info | The T:System.Runtime.Serialization.SerializationInfo that holds the serialized object data about the exception being thrown.
  context | The T:System.Runtime.Serialization.StreamingContext that contains contextual information about the source or destination.

Definition at line 47 of file MercuryException.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Exceptions/MercuryException.cs